module(...)
--auto generate data
EQUIPATTR={
	abnormal_attr_ratio={id=[[abnormal_attr_ratio]],name=[[DEBUFF]],},
	attack={id=[[attack]],name=[[ATK]],},
	attack_ratio={id=[[attack_ratio]],name=[[Increase ATK]],},
	critical_damage={id=[[critical_damage]],name=[[CRIT DMG]],},
	critical_ratio={id=[[critical_ratio]],name=[[CRIT]],},
	cure_critical_ratio={id=[[cure_critical_ratio]],name=[[HEAL]],},
	defense={id=[[defense]],name=[[DEF]],},
	defense_ratio={id=[[defense_ratio]],name=[[Increase DEF]],},
	maxhp={id=[[maxhp]],name=[[HP]],},
	maxhp_ratio={id=[[maxhp_ratio]],name=[[Increase HP]],},
	res_abnormal_ratio={id=[[res_abnormal_ratio]],name=[[IMMUNE]],},
	res_critical_ratio={id=[[res_critical_ratio]],name=[[CRIT RES]],},
	speed={id=[[speed]],name=[[SPD]],},
}

EquipGetWay={
	[2101101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=210,
		equip_quality=1,
		funcid=184,
		id=2101101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2101102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=210,
		equip_quality=1,
		funcid=46,
		id=2101102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2101201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=210,
		equip_quality=2,
		funcid=184,
		id=2101201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2101202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=210,
		equip_quality=2,
		funcid=46,
		id=2101202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2101301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=210,
		equip_quality=3,
		funcid=184,
		id=2101301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2101302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=210,
		equip_quality=3,
		funcid=46,
		id=2101302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2101401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=210,
		equip_quality=4,
		funcid=184,
		id=2101401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2101402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=210,
		equip_quality=4,
		funcid=46,
		id=2101402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2101501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=210,
		equip_quality=5,
		funcid=184,
		id=2101501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2101502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=210,
		equip_quality=5,
		funcid=46,
		id=2101502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2111101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=211,
		equip_quality=1,
		funcid=184,
		id=2111101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2111102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=211,
		equip_quality=1,
		funcid=46,
		id=2111102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2111201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=211,
		equip_quality=2,
		funcid=184,
		id=2111201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2111202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=211,
		equip_quality=2,
		funcid=46,
		id=2111202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2111301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=211,
		equip_quality=3,
		funcid=184,
		id=2111301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2111302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=211,
		equip_quality=3,
		funcid=46,
		id=2111302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2111401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=211,
		equip_quality=4,
		funcid=184,
		id=2111401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2111402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=211,
		equip_quality=4,
		funcid=46,
		id=2111402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2111501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=211,
		equip_quality=5,
		funcid=184,
		id=2111501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2111502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=211,
		equip_quality=5,
		funcid=46,
		id=2111502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2121101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=212,
		equip_quality=1,
		funcid=184,
		id=2121101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2121102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=212,
		equip_quality=1,
		funcid=46,
		id=2121102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2121201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=212,
		equip_quality=2,
		funcid=184,
		id=2121201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2121202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=212,
		equip_quality=2,
		funcid=46,
		id=2121202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2121301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=212,
		equip_quality=3,
		funcid=184,
		id=2121301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2121302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=212,
		equip_quality=3,
		funcid=46,
		id=2121302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2121401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=212,
		equip_quality=4,
		funcid=184,
		id=2121401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2121402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=212,
		equip_quality=4,
		funcid=46,
		id=2121402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2121501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=212,
		equip_quality=5,
		funcid=184,
		id=2121501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2121502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=212,
		equip_quality=5,
		funcid=46,
		id=2121502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2131101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=213,
		equip_quality=1,
		funcid=184,
		id=2131101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2131102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=213,
		equip_quality=1,
		funcid=46,
		id=2131102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2131201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=213,
		equip_quality=2,
		funcid=184,
		id=2131201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2131202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=213,
		equip_quality=2,
		funcid=46,
		id=2131202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2131301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=213,
		equip_quality=3,
		funcid=184,
		id=2131301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2131302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=213,
		equip_quality=3,
		funcid=46,
		id=2131302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2131401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=213,
		equip_quality=4,
		funcid=184,
		id=2131401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2131402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=213,
		equip_quality=4,
		funcid=46,
		id=2131402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2131501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=213,
		equip_quality=5,
		funcid=184,
		id=2131501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2131502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=213,
		equip_quality=5,
		funcid=46,
		id=2131502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2141101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=214,
		equip_quality=1,
		funcid=184,
		id=2141101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2141102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=214,
		equip_quality=1,
		funcid=46,
		id=2141102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2141201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=214,
		equip_quality=2,
		funcid=184,
		id=2141201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2141202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=214,
		equip_quality=2,
		funcid=46,
		id=2141202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2141301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=214,
		equip_quality=3,
		funcid=184,
		id=2141301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2141302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=214,
		equip_quality=3,
		funcid=46,
		id=2141302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2141401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=214,
		equip_quality=4,
		funcid=184,
		id=2141401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2141402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=214,
		equip_quality=4,
		funcid=46,
		id=2141402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2141501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=214,
		equip_quality=5,
		funcid=184,
		id=2141501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2141502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=214,
		equip_quality=5,
		funcid=46,
		id=2141502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2151101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=215,
		equip_quality=1,
		funcid=184,
		id=2151101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2151102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=215,
		equip_quality=1,
		funcid=46,
		id=2151102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2151201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=215,
		equip_quality=2,
		funcid=184,
		id=2151201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2151202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=215,
		equip_quality=2,
		funcid=46,
		id=2151202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2151301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=215,
		equip_quality=3,
		funcid=184,
		id=2151301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2151302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=215,
		equip_quality=3,
		funcid=46,
		id=2151302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2151401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=215,
		equip_quality=4,
		funcid=184,
		id=2151401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2151402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=215,
		equip_quality=4,
		funcid=46,
		id=2151402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2151501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=215,
		equip_quality=5,
		funcid=184,
		id=2151501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2151502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=215,
		equip_quality=5,
		funcid=46,
		id=2151502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2171101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=217,
		equip_quality=1,
		funcid=184,
		id=2171101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2171102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=217,
		equip_quality=1,
		funcid=46,
		id=2171102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2171201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=217,
		equip_quality=2,
		funcid=184,
		id=2171201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2171202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=217,
		equip_quality=2,
		funcid=46,
		id=2171202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2171301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=217,
		equip_quality=3,
		funcid=184,
		id=2171301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2171302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=217,
		equip_quality=3,
		funcid=46,
		id=2171302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2171401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=217,
		equip_quality=4,
		funcid=184,
		id=2171401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2171402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=217,
		equip_quality=4,
		funcid=46,
		id=2171402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2171501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=217,
		equip_quality=5,
		funcid=184,
		id=2171501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2171502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=217,
		equip_quality=5,
		funcid=46,
		id=2171502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2181101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=218,
		equip_quality=1,
		funcid=184,
		id=2181101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2181102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=218,
		equip_quality=1,
		funcid=46,
		id=2181102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2181201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=218,
		equip_quality=2,
		funcid=184,
		id=2181201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2181202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=218,
		equip_quality=2,
		funcid=46,
		id=2181202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2181301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=218,
		equip_quality=3,
		funcid=184,
		id=2181301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2181302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=218,
		equip_quality=3,
		funcid=46,
		id=2181302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2181401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=218,
		equip_quality=4,
		funcid=184,
		id=2181401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2181402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=218,
		equip_quality=4,
		funcid=46,
		id=2181402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2181501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=218,
		equip_quality=5,
		funcid=184,
		id=2181501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2181502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=218,
		equip_quality=5,
		funcid=46,
		id=2181502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2191101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=219,
		equip_quality=1,
		funcid=184,
		id=2191101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2191102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=219,
		equip_quality=1,
		funcid=46,
		id=2191102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2191201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=219,
		equip_quality=2,
		funcid=184,
		id=2191201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2191202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=219,
		equip_quality=2,
		funcid=46,
		id=2191202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2191301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=219,
		equip_quality=3,
		funcid=184,
		id=2191301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2191302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=219,
		equip_quality=3,
		funcid=46,
		id=2191302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2191401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=219,
		equip_quality=4,
		funcid=184,
		id=2191401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2191402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=219,
		equip_quality=4,
		funcid=46,
		id=2191402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2191501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=219,
		equip_quality=5,
		funcid=184,
		id=2191501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2191502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=219,
		equip_quality=5,
		funcid=46,
		id=2191502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2311101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=231,
		equip_quality=1,
		funcid=184,
		id=2311101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2311102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=231,
		equip_quality=1,
		funcid=46,
		id=2311102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2311201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=231,
		equip_quality=2,
		funcid=184,
		id=2311201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2311202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=231,
		equip_quality=2,
		funcid=46,
		id=2311202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2311301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=231,
		equip_quality=3,
		funcid=184,
		id=2311301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2311302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=231,
		equip_quality=3,
		funcid=46,
		id=2311302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2311401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=231,
		equip_quality=4,
		funcid=184,
		id=2311401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2311402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=231,
		equip_quality=4,
		funcid=46,
		id=2311402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2311501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=231,
		equip_quality=5,
		funcid=184,
		id=2311501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2311502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=231,
		equip_quality=5,
		funcid=46,
		id=2311502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2321101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=232,
		equip_quality=1,
		funcid=184,
		id=2321101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2321102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=232,
		equip_quality=1,
		funcid=46,
		id=2321102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2321201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=232,
		equip_quality=2,
		funcid=184,
		id=2321201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2321202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=232,
		equip_quality=2,
		funcid=46,
		id=2321202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2321301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=232,
		equip_quality=3,
		funcid=184,
		id=2321301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2321302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=232,
		equip_quality=3,
		funcid=46,
		id=2321302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2321401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=232,
		equip_quality=4,
		funcid=184,
		id=2321401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2321402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=232,
		equip_quality=4,
		funcid=46,
		id=2321402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2321501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=232,
		equip_quality=5,
		funcid=184,
		id=2321501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2321502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=232,
		equip_quality=5,
		funcid=46,
		id=2321502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2331101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=233,
		equip_quality=1,
		funcid=184,
		id=2331101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2331102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=233,
		equip_quality=1,
		funcid=46,
		id=2331102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2331201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=233,
		equip_quality=2,
		funcid=184,
		id=2331201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2331202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=233,
		equip_quality=2,
		funcid=46,
		id=2331202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2331301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=233,
		equip_quality=3,
		funcid=184,
		id=2331301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2331302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=233,
		equip_quality=3,
		funcid=46,
		id=2331302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2331401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=233,
		equip_quality=4,
		funcid=184,
		id=2331401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2331402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=233,
		equip_quality=4,
		funcid=46,
		id=2331402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2331501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=233,
		equip_quality=5,
		funcid=184,
		id=2331501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2331502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=233,
		equip_quality=5,
		funcid=46,
		id=2331502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2341101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=234,
		equip_quality=1,
		funcid=184,
		id=2341101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2341102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=234,
		equip_quality=1,
		funcid=46,
		id=2341102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2341201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=234,
		equip_quality=2,
		funcid=184,
		id=2341201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2341202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=234,
		equip_quality=2,
		funcid=46,
		id=2341202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2341301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=234,
		equip_quality=3,
		funcid=184,
		id=2341301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2341302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=234,
		equip_quality=3,
		funcid=46,
		id=2341302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2341401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=234,
		equip_quality=4,
		funcid=184,
		id=2341401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2341402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=234,
		equip_quality=4,
		funcid=46,
		id=2341402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2341501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=234,
		equip_quality=5,
		funcid=184,
		id=2341501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2341502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=234,
		equip_quality=5,
		funcid=46,
		id=2341502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2351101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=235,
		equip_quality=1,
		funcid=184,
		id=2351101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2351102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=235,
		equip_quality=1,
		funcid=46,
		id=2351102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2351201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=235,
		equip_quality=2,
		funcid=184,
		id=2351201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2351202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=235,
		equip_quality=2,
		funcid=46,
		id=2351202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2351301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=235,
		equip_quality=3,
		funcid=184,
		id=2351301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2351302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=235,
		equip_quality=3,
		funcid=46,
		id=2351302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2351401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=235,
		equip_quality=4,
		funcid=184,
		id=2351401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2351402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=235,
		equip_quality=4,
		funcid=46,
		id=2351402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2351501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=235,
		equip_quality=5,
		funcid=184,
		id=2351501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2351502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=235,
		equip_quality=5,
		funcid=46,
		id=2351502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2401101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=240,
		equip_quality=1,
		funcid=184,
		id=2401101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2401102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=240,
		equip_quality=1,
		funcid=46,
		id=2401102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2401201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=240,
		equip_quality=2,
		funcid=184,
		id=2401201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2401202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=240,
		equip_quality=2,
		funcid=46,
		id=2401202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2401301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=240,
		equip_quality=3,
		funcid=184,
		id=2401301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2401302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=240,
		equip_quality=3,
		funcid=46,
		id=2401302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2401401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=240,
		equip_quality=4,
		funcid=184,
		id=2401401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2401402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=240,
		equip_quality=4,
		funcid=46,
		id=2401402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2401501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=240,
		equip_quality=5,
		funcid=184,
		id=2401501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2401502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=240,
		equip_quality=5,
		funcid=46,
		id=2401502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2411101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=241,
		equip_quality=1,
		funcid=184,
		id=2411101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2411102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=241,
		equip_quality=1,
		funcid=46,
		id=2411102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2411201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=241,
		equip_quality=2,
		funcid=184,
		id=2411201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2411202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=241,
		equip_quality=2,
		funcid=46,
		id=2411202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2411301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=241,
		equip_quality=3,
		funcid=184,
		id=2411301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2411302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=241,
		equip_quality=3,
		funcid=46,
		id=2411302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2411401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=241,
		equip_quality=4,
		funcid=184,
		id=2411401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2411402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=241,
		equip_quality=4,
		funcid=46,
		id=2411402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2411501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=241,
		equip_quality=5,
		funcid=184,
		id=2411501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2411502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=241,
		equip_quality=5,
		funcid=46,
		id=2411502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2421101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=242,
		equip_quality=1,
		funcid=184,
		id=2421101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2421102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=242,
		equip_quality=1,
		funcid=46,
		id=2421102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2421201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=242,
		equip_quality=2,
		funcid=184,
		id=2421201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2421202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=242,
		equip_quality=2,
		funcid=46,
		id=2421202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2421301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=242,
		equip_quality=3,
		funcid=184,
		id=2421301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2421302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=242,
		equip_quality=3,
		funcid=46,
		id=2421302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2421401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=242,
		equip_quality=4,
		funcid=184,
		id=2421401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2421402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=242,
		equip_quality=4,
		funcid=46,
		id=2421402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2421501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=242,
		equip_quality=5,
		funcid=184,
		id=2421501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2421502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=242,
		equip_quality=5,
		funcid=46,
		id=2421502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2431101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=243,
		equip_quality=1,
		funcid=184,
		id=2431101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2431102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=243,
		equip_quality=1,
		funcid=46,
		id=2431102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2431201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=243,
		equip_quality=2,
		funcid=184,
		id=2431201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2431202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=243,
		equip_quality=2,
		funcid=46,
		id=2431202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2431301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=243,
		equip_quality=3,
		funcid=184,
		id=2431301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2431302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=243,
		equip_quality=3,
		funcid=46,
		id=2431302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2431401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=243,
		equip_quality=4,
		funcid=184,
		id=2431401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2431402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=243,
		equip_quality=4,
		funcid=46,
		id=2431402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2431501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=243,
		equip_quality=5,
		funcid=184,
		id=2431501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2431502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=243,
		equip_quality=5,
		funcid=46,
		id=2431502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2441101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=244,
		equip_quality=1,
		funcid=184,
		id=2441101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2441102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=244,
		equip_quality=1,
		funcid=46,
		id=2441102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2441201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=244,
		equip_quality=2,
		funcid=184,
		id=2441201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2441202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=244,
		equip_quality=2,
		funcid=46,
		id=2441202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2441301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=244,
		equip_quality=3,
		funcid=184,
		id=2441301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2441302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=244,
		equip_quality=3,
		funcid=46,
		id=2441302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2441401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=244,
		equip_quality=4,
		funcid=184,
		id=2441401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2441402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=244,
		equip_quality=4,
		funcid=46,
		id=2441402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2441501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=244,
		equip_quality=5,
		funcid=184,
		id=2441501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2441502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=244,
		equip_quality=5,
		funcid=46,
		id=2441502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2451101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=245,
		equip_quality=1,
		funcid=184,
		id=2451101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2451102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=245,
		equip_quality=1,
		funcid=46,
		id=2451102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2451201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=245,
		equip_quality=2,
		funcid=184,
		id=2451201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2451202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=245,
		equip_quality=2,
		funcid=46,
		id=2451202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2451301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=245,
		equip_quality=3,
		funcid=184,
		id=2451301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2451302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=245,
		equip_quality=3,
		funcid=46,
		id=2451302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2451401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=245,
		equip_quality=4,
		funcid=184,
		id=2451401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2451402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=245,
		equip_quality=4,
		funcid=46,
		id=2451402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2451501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=245,
		equip_quality=5,
		funcid=184,
		id=2451501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2451502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=245,
		equip_quality=5,
		funcid=46,
		id=2451502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2501101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=250,
		equip_quality=1,
		funcid=184,
		id=2501101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2501102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=250,
		equip_quality=1,
		funcid=46,
		id=2501102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2501201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=250,
		equip_quality=2,
		funcid=184,
		id=2501201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2501202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=250,
		equip_quality=2,
		funcid=46,
		id=2501202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2501301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=250,
		equip_quality=3,
		funcid=184,
		id=2501301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2501302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=250,
		equip_quality=3,
		funcid=46,
		id=2501302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2501401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=250,
		equip_quality=4,
		funcid=184,
		id=2501401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2501402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=250,
		equip_quality=4,
		funcid=46,
		id=2501402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2501501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=250,
		equip_quality=5,
		funcid=184,
		id=2501501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2501502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=250,
		equip_quality=5,
		funcid=46,
		id=2501502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2511101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=251,
		equip_quality=1,
		funcid=184,
		id=2511101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2511102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=251,
		equip_quality=1,
		funcid=46,
		id=2511102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2511201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=251,
		equip_quality=2,
		funcid=184,
		id=2511201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2511202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=251,
		equip_quality=2,
		funcid=46,
		id=2511202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2511301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=251,
		equip_quality=3,
		funcid=184,
		id=2511301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2511302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=251,
		equip_quality=3,
		funcid=46,
		id=2511302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2511401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=251,
		equip_quality=4,
		funcid=184,
		id=2511401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2511402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=251,
		equip_quality=4,
		funcid=46,
		id=2511402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2511501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=251,
		equip_quality=5,
		funcid=184,
		id=2511501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2511502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=251,
		equip_quality=5,
		funcid=46,
		id=2511502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2521101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=252,
		equip_quality=1,
		funcid=184,
		id=2521101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2521102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=252,
		equip_quality=1,
		funcid=46,
		id=2521102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2521201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=252,
		equip_quality=2,
		funcid=184,
		id=2521201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2521202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=252,
		equip_quality=2,
		funcid=46,
		id=2521202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2521301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=252,
		equip_quality=3,
		funcid=184,
		id=2521301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2521302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=252,
		equip_quality=3,
		funcid=46,
		id=2521302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2521401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=252,
		equip_quality=4,
		funcid=184,
		id=2521401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2521402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=252,
		equip_quality=4,
		funcid=46,
		id=2521402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2521501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=252,
		equip_quality=5,
		funcid=184,
		id=2521501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2521502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=252,
		equip_quality=5,
		funcid=46,
		id=2521502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2541101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=254,
		equip_quality=1,
		funcid=184,
		id=2541101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2541102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=254,
		equip_quality=1,
		funcid=46,
		id=2541102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2541201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=254,
		equip_quality=2,
		funcid=184,
		id=2541201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2541202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=254,
		equip_quality=2,
		funcid=46,
		id=2541202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2541301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=254,
		equip_quality=3,
		funcid=184,
		id=2541301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2541302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=254,
		equip_quality=3,
		funcid=46,
		id=2541302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2541401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=254,
		equip_quality=4,
		funcid=184,
		id=2541401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2541402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=254,
		equip_quality=4,
		funcid=46,
		id=2541402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2541501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=254,
		equip_quality=5,
		funcid=184,
		id=2541501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2541502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=254,
		equip_quality=5,
		funcid=46,
		id=2541502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2551101]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=255,
		equip_quality=1,
		funcid=184,
		id=2551101,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2551102]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-3 can get Jewel]],
		equip_id=255,
		equip_quality=1,
		funcid=46,
		id=2551102,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2551201]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=255,
		equip_quality=2,
		funcid=184,
		id=2551201,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2551202]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-8 can get Jewel]],
		equip_id=255,
		equip_quality=2,
		funcid=46,
		id=2551202,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2551301]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=255,
		equip_quality=3,
		funcid=184,
		id=2551301,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2551302]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 1-10 can get Jewel]],
		equip_id=255,
		equip_quality=3,
		funcid=46,
		id=2551302,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2551401]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=255,
		equip_quality=4,
		funcid=184,
		id=2551401,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2551402]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 5-10 can get Jewel]],
		equip_id=255,
		equip_quality=4,
		funcid=46,
		id=2551402,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
	[2551501]={
		btn=[[Come]],
		desc=[[Jewel can obtain Jewel Atributes]],
		equip_id=255,
		equip_quality=5,
		funcid=184,
		id=2551501,
		title=[[Jewel]],
		unlock_level=41,
	},
	[2551502]={
		btn=[[Come]],
		desc=[[Passing the Jewel Dungeon class 7-10 can get Jewel]],
		equip_id=255,
		equip_quality=5,
		funcid=46,
		id=2551502,
		title=[[Jewel Dungeon]],
		unlock_level=42,
	},
}

ParEquip2Stone={
	[1]={id=1,name=[[1 star]],unlock_stone={[1]=1,[2]=2,},},
	[2]={
		id=2,
		name=[[2 stars]],
		unlock_stone={[1]=1,[2]=2,[3]=3,[4]=4,},
	},
	[3]={
		id=3,
		name=[[3 stars]],
		unlock_stone={[1]=1,[2]=2,[3]=3,[4]=4,[5]=5,[6]=6,},
	},
	[4]={
		id=4,
		name=[[4 stars]],
		unlock_stone={[1]=1,[2]=2,[3]=3,[4]=4,[5]=5,[6]=6,[7]=7,},
	},
	[5]={
		id=5,
		name=[[5 stars]],
		unlock_stone={[1]=1,[2]=2,[3]=3,[4]=4,[5]=5,[6]=6,[7]=7,},
	},
	[6]={
		id=6,
		name=[[6 stars]],
		unlock_stone={[1]=1,[2]=2,[3]=3,[4]=4,[5]=5,[6]=6,[7]=7,},
	},
}

ParStone2Count={
	[1]={equip_quality=1,id=1,inlay_count=4,},
	[2]={equip_quality=1,id=2,inlay_count=5,},
	[3]={equip_quality=2,id=3,inlay_count=5,},
	[4]={equip_quality=2,id=4,inlay_count=6,},
	[5]={equip_quality=3,id=5,inlay_count=6,},
	[6]={equip_quality=3,id=6,inlay_count=7,},
	[7]={equip_quality=4,id=7,inlay_count=7,},
}

ParSoulUpGrade={
	[1]={base_exp=800,level=1,quality=1,upgrade_exp=2400,},
	[2]={base_exp=3200,level=2,quality=1,upgrade_exp=4800,},
	[3]={base_exp=8000,level=3,quality=1,upgrade_exp=9600,},
	[4]={base_exp=17600,level=4,quality=1,upgrade_exp=16800,},
	[5]={base_exp=34400,level=5,quality=1,upgrade_exp=26400,},
	[6]={base_exp=60800,level=6,quality=1,upgrade_exp=38400,},
	[7]={base_exp=99200,level=7,quality=1,upgrade_exp=52800,},
	[8]={base_exp=152000,level=8,quality=1,upgrade_exp=69600,},
	[9]={base_exp=221600,level=9,quality=1,upgrade_exp=88800,},
	[10]={base_exp=310400,level=10,quality=1,upgrade_exp=110400,},
	[11]={base_exp=420800,level=11,quality=1,upgrade_exp=134400,},
	[12]={base_exp=555200,level=12,quality=1,upgrade_exp=160800,},
	[13]={base_exp=716000,level=13,quality=1,upgrade_exp=189600,},
	[14]={base_exp=905600,level=14,quality=1,upgrade_exp=220800,},
	[15]={base_exp=1126400,level=15,quality=1,upgrade_exp=254400,},
	[16]={base_exp=1000,level=1,quality=2,upgrade_exp=3000,},
	[17]={base_exp=4000,level=2,quality=2,upgrade_exp=6000,},
	[18]={base_exp=10000,level=3,quality=2,upgrade_exp=12000,},
	[19]={base_exp=22000,level=4,quality=2,upgrade_exp=21000,},
	[20]={base_exp=43000,level=5,quality=2,upgrade_exp=33000,},
	[21]={base_exp=76000,level=6,quality=2,upgrade_exp=48000,},
	[22]={base_exp=124000,level=7,quality=2,upgrade_exp=66000,},
	[23]={base_exp=190000,level=8,quality=2,upgrade_exp=87000,},
	[24]={base_exp=277000,level=9,quality=2,upgrade_exp=111000,},
	[25]={base_exp=388000,level=10,quality=2,upgrade_exp=138000,},
	[26]={base_exp=526000,level=11,quality=2,upgrade_exp=168000,},
	[27]={base_exp=694000,level=12,quality=2,upgrade_exp=201000,},
	[28]={base_exp=895000,level=13,quality=2,upgrade_exp=237000,},
	[29]={base_exp=1132000,level=14,quality=2,upgrade_exp=276000,},
	[30]={base_exp=1408000,level=15,quality=2,upgrade_exp=318000,},
	[31]={base_exp=1200,level=1,quality=3,upgrade_exp=3600,},
	[32]={base_exp=4800,level=2,quality=3,upgrade_exp=7200,},
	[33]={base_exp=12000,level=3,quality=3,upgrade_exp=14400,},
	[34]={base_exp=26400,level=4,quality=3,upgrade_exp=25200,},
	[35]={base_exp=51600,level=5,quality=3,upgrade_exp=39600,},
	[36]={base_exp=91200,level=6,quality=3,upgrade_exp=57600,},
	[37]={base_exp=148800,level=7,quality=3,upgrade_exp=79200,},
	[38]={base_exp=228000,level=8,quality=3,upgrade_exp=104400,},
	[39]={base_exp=332400,level=9,quality=3,upgrade_exp=133200,},
	[40]={base_exp=465600,level=10,quality=3,upgrade_exp=165600,},
	[41]={base_exp=631200,level=11,quality=3,upgrade_exp=201600,},
	[42]={base_exp=832800,level=12,quality=3,upgrade_exp=241200,},
	[43]={base_exp=1074000,level=13,quality=3,upgrade_exp=284400,},
	[44]={base_exp=1358400,level=14,quality=3,upgrade_exp=331200,},
	[45]={base_exp=1689600,level=15,quality=3,upgrade_exp=381600,},
	[46]={base_exp=1400,level=1,quality=4,upgrade_exp=4200,},
	[47]={base_exp=5600,level=2,quality=4,upgrade_exp=8400,},
	[48]={base_exp=14000,level=3,quality=4,upgrade_exp=16800,},
	[49]={base_exp=30800,level=4,quality=4,upgrade_exp=29400,},
	[50]={base_exp=60200,level=5,quality=4,upgrade_exp=46200,},
	[51]={base_exp=106400,level=6,quality=4,upgrade_exp=67200,},
	[52]={base_exp=173600,level=7,quality=4,upgrade_exp=92400,},
	[53]={base_exp=266000,level=8,quality=4,upgrade_exp=121800,},
	[54]={base_exp=387800,level=9,quality=4,upgrade_exp=155400,},
	[55]={base_exp=543200,level=10,quality=4,upgrade_exp=193200,},
	[56]={base_exp=736400,level=11,quality=4,upgrade_exp=235200,},
	[57]={base_exp=971600,level=12,quality=4,upgrade_exp=281400,},
	[58]={base_exp=1253000,level=13,quality=4,upgrade_exp=331800,},
	[59]={base_exp=1584800,level=14,quality=4,upgrade_exp=386400,},
	[60]={base_exp=1971200,level=15,quality=4,upgrade_exp=445200,},
	[61]={base_exp=1600,level=1,quality=5,upgrade_exp=4800,},
	[62]={base_exp=6400,level=2,quality=5,upgrade_exp=9600,},
	[63]={base_exp=16000,level=3,quality=5,upgrade_exp=19200,},
	[64]={base_exp=35200,level=4,quality=5,upgrade_exp=33600,},
	[65]={base_exp=68800,level=5,quality=5,upgrade_exp=52800,},
	[66]={base_exp=121600,level=6,quality=5,upgrade_exp=76800,},
	[67]={base_exp=198400,level=7,quality=5,upgrade_exp=105600,},
	[68]={base_exp=304000,level=8,quality=5,upgrade_exp=139200,},
	[69]={base_exp=443200,level=9,quality=5,upgrade_exp=177600,},
	[70]={base_exp=620800,level=10,quality=5,upgrade_exp=220800,},
	[71]={base_exp=841600,level=11,quality=5,upgrade_exp=268800,},
	[72]={base_exp=1110400,level=12,quality=5,upgrade_exp=321600,},
	[73]={base_exp=1432000,level=13,quality=5,upgrade_exp=379200,},
	[74]={base_exp=1811200,level=14,quality=5,upgrade_exp=441600,},
	[75]={base_exp=2252800,level=15,quality=5,upgrade_exp=508800,},
}

ParSoulType={
	[1]={
		description=[[]],
		icon=210,
		id=1,
		name=[[Convert]],
		sex=1,
		simple_desc=[[Convert]],
		skill=2101,
		skill_desc=[[23% of damage dealt converted to HP]],
	},
	[2]={
		description=[[]],
		icon=211,
		id=2,
		name=[[Low HP]],
		sex=2,
		simple_desc=[[Low HP]],
		skill=2111,
		skill_desc=[[+ 38% extra damage to units with lower 30% HP]],
	},
	[3]={
		description=[[]],
		icon=212,
		id=3,
		name=[[High HP]],
		sex=1,
		simple_desc=[[High HP]],
		skill=2121,
		skill_desc=[[+ 30% extra damage to units with higher 70% HP]],
	},
	[4]={
		description=[[]],
		icon=213,
		id=4,
		name=[[Chain]],
		sex=1,
		simple_desc=[[Chain]],
		skill=2131,
		skill_desc=[[When kill a target, has a chance use normal attack another target.]],
	},
	[5]={
		description=[[]],
		icon=214,
		id=5,
		name=[[Counter]],
		sex=1,
		simple_desc=[[Counter]],
		skill=2141,
		skill_desc=[[When being attacked, 18% counter attack (Normal)]],
	},
	[6]={
		description=[[]],
		icon=215,
		id=6,
		name=[[Status]],
		sex=2,
		simple_desc=[[Status]],
		skill=2151,
		skill_desc=[[When target have debuff being attacked, extra taking 40% damage.]],
	},
	[8]={
		description=[[]],
		icon=217,
		id=8,
		name=[[Debuff]],
		sex=1,
		simple_desc=[[Debuff]],
		skill=2171,
		skill_desc=[[When you taking debuff, deal 35% extra damage]],
	},
	[9]={
		description=[[]],
		icon=218,
		id=9,
		name=[[Normal]],
		sex=1,
		simple_desc=[[Normal]],
		skill=2181,
		skill_desc=[[Normal attack damage +25%, then restore HP equal to 15% of damage]],
	},
	[10]={
		description=[[]],
		icon=219,
		id=10,
		name=[[Critical]],
		sex=1,
		simple_desc=[[Critical]],
		skill=2191,
		skill_desc=[[When dealing critical hit, has a 45% chance to deal pure damage equal to 60% of own ATK]],
	},
	[22]={
		description=[[]],
		icon=231,
		id=22,
		name=[[Mitigation]],
		sex=2,
		simple_desc=[[Mitigation]],
		skill=2311,
		skill_desc=[[- 20% damage taken]],
	},
	[23]={
		description=[[]],
		icon=232,
		id=23,
		name=[[Grant SP]],
		sex=2,
		simple_desc=[[Grant SP]],
		skill=2321,
		skill_desc=[[When taking damage, 8% increase SP]],
	},
	[24]={
		description=[[]],
		icon=233,
		id=24,
		name=[[Sentinel]],
		sex=2,
		simple_desc=[[Sentinel]],
		skill=2331,
		skill_desc=[[At the start of battle. Grant a shield to all allies. Shield limited by 5% max HP.]],
	},
	[25]={
		description=[[]],
		icon=234,
		id=25,
		name=[[Negative]],
		sex=1,
		simple_desc=[[Negative]],
		skill=2341,
		skill_desc=[[When taking critical hit has a 30% chance negative damage, max 2 time per turn]],
	},
	[26]={
		description=[[]],
		icon=235,
		id=26,
		name=[[Regen]],
		sex=1,
		simple_desc=[[Regen]],
		skill=2351,
		skill_desc=[[After each action ends, has 45% chance to restore 50% HP of the total damage taken.]],
	},
	[31]={
		description=[[]],
		icon=240,
		id=31,
		name=[[Stun]],
		sex=1,
		simple_desc=[[Stun]],
		skill=2401,
		skill_desc=[[Deals damage with 8% chance inflict stun to target in 1 act]],
	},
	[32]={
		description=[[]],
		icon=241,
		id=32,
		name=[[Sleep]],
		sex=2,
		simple_desc=[[Sleep]],
		skill=2411,
		skill_desc=[[Deals damage with 10% chance inflict sleep to target in 1 act]],
	},
	[33]={
		description=[[]],
		icon=242,
		id=33,
		name=[[Anti Heal]],
		sex=2,
		simple_desc=[[Anti Heal]],
		skill=2421,
		skill_desc=[[Deals damage with 20% chance block heal to target in 2 act]],
	},
	[34]={
		description=[[]],
		icon=243,
		id=34,
		name=[[Counter Stun]],
		sex=2,
		simple_desc=[[Counter Stun]],
		skill=2431,
		skill_desc=[[When taking damage without debuff, has 8% chance stun the attacker, in 1 act]],
	},
	[35]={
		description=[[]],
		icon=244,
		id=35,
		name=[[Speed Down]],
		sex=2,
		simple_desc=[[Speed Down]],
		skill=2441,
		skill_desc=[[When attacking a unit with debuff has 50% chance to reduce target speed in 1 act]],
	},
	[36]={
		description=[[]],
		icon=245,
		id=36,
		name=[[SP Down]],
		sex=1,
		simple_desc=[[SP Down]],
		skill=2451,
		skill_desc=[[When being attacked by a Special Skill, has 30% chance reduce attacker special point]],
	},
	[41]={
		description=[[]],
		icon=250,
		id=41,
		name=[[Back Strike]],
		sex=2,
		simple_desc=[[Back Strike]],
		skill=2501,
		skill_desc=[[At the start of battle. Grant SP.]],
	},
	[42]={
		description=[[]],
		icon=251,
		id=42,
		name=[[SP Gain]],
		sex=2,
		simple_desc=[[SP Gain]],
		skill=2511,
		skill_desc=[[Before action has a 50% chance to grant SP.]],
	},
	[43]={
		description=[[]],
		icon=252,
		id=43,
		name=[[Restore]],
		sex=1,
		simple_desc=[[Restore]],
		skill=2521,
		skill_desc=[[When action restore 24% HP equal to 5% max HP.]],
	},
	[45]={
		description=[[]],
		icon=254,
		id=45,
		name=[[Heal Up]],
		sex=2,
		simple_desc=[[Heal Up]],
		skill=2541,
		skill_desc=[[+ 25% Healing Potency.]],
	},
	[46]={
		description=[[]],
		icon=255,
		id=46,
		name=[[Speed]],
		sex=1,
		simple_desc=[[Speed]],
		skill=2551,
		skill_desc=[[At the end of action. has 40% chance + 20% SPD in 1 act]],
	},
}

ParSoulUnlock={
	[1]={id=1,unlock_grade=40,},
	[2]={id=2,unlock_grade=40,},
	[3]={id=3,unlock_grade=40,},
	[4]={id=4,unlock_grade=45,},
	[5]={id=5,unlock_grade=50,},
	[6]={id=6,unlock_grade=55,},
}

ParEquipUnlock={
	[1]={id=1,unlock_grade=0,},
	[2]={id=2,unlock_grade=40,},
	[3]={id=3,unlock_grade=45,},
	[4]={id=4,unlock_grade=50,},
}

ParSoulAttr={
	[1]={id=1,name=[[maxhp]],text=[[HP]],},
	[2]={id=2,name=[[attack]],text=[[ATK]],},
	[3]={id=3,name=[[defense]],text=[[DEF]],},
	[4]={id=4,name=[[speed]],text=[[SPD]],},
	[5]={id=5,name=[[critical_ratio]],text=[[CRIT]],},
	[6]={id=6,name=[[res_critical_ratio]],text=[[CRIT RES]],},
	[7]={id=7,name=[[critical_damage]],text=[[CRIT DMG]],},
	[8]={id=8,name=[[cure_critical_ratio]],text=[[HEAL]],},
	[9]={id=9,name=[[abnormal_attr_ratio]],text=[[DEBUFF]],},
	[10]={id=10,name=[[res_abnormal_ratio]],text=[[IMMUNE]],},
	[11]={id=11,name=[[maxhp_ratio]],text=[[Increase HP]],},
	[12]={id=12,name=[[attack_ratio]],text=[[Increase ATK]],},
	[13]={id=13,name=[[defense_ratio]],text=[[Increase DEF]],},
}
